4Suite™ API Documentation

# ► Module Ft.Server.Server.Commands

This command-line application allows a 4Suite repository administrator to perform management tasks on the repository as a whole, including setup, server control, backup, and other operations.

Classes: ManagerCommandLineApp |  |  |  | Fields: g_commands, g_options

## Modules

Backup | Create a low level system backup of the entire repository
CommandUtil | Functions used by various commands
Init | Initialize the repository. This involves reformatting the storage back end (e.g. Postgres database or FlatFile root directory) and then adding the core data structures. You will LOSE ALL DATA when you execute the init, unless you use the --update option. You can only init on the machine on which the command is executed. You must have write access to where the back end stores its data (e.g., your userid must be able to write to the Postgres database if the back end is Postgres). You may be prompted for additional information to complete the init.
Log | Manager commands to work with the log files
Recompile | The recompile command will walk the entire repository and recompile all stylesheets. It is useful when changes to the underling code base require that stylesheets be reinited in the system.
Restart | Restart the 4Suite server (controller).
Start | The start command can be used to start any or all protocol servers. To start all of the servers, execute the start command with no paramters. To bring up individual servers, list them on the command line.
Status | This command lists the status of each server in a 4Suite repository (running or stopped) as well as the state of the repository itself (data store existence and initialization status).
Stop | The stop command is used to stop any or all of the 4SS servers. To stop all the servers, execute the stop command with out any arguments. To stop an individual server, specify their names as command line arguments. You will be prompted for authentication before you can stop the servers.

## Classes

class ManagerCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

### Methods

__init__(self)
run(*args, **kwords)

### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

gen_command_tree, gen_usage, get_help_doc_info, parse_command_line, validate_arguments, validate_options

### Methods inherited from class Ft.Lib.CommandLine.Command.Command

break_parent_relationship, build_parent_relationship, flatten_command_tree, run_command

### Fields

g_commands = [<module 'Ft.Server.Server.Commands.Init' from 'b...EASE-i386-2.4/Ft/Server/Server/Commands/Init.py'>, <module 'Ft.Server.Server.Commands.Backup' from ...SE-i386-2.4/Ft/Server/Server/Commands/Backup.py'>, <module 'Ft.Server.Server.Commands.Recompile' fr...i386-2.4/Ft/Server/Server/Commands/Recompile.py'>, <module 'Ft.Server.Server.Commands.Start' from '...ASE-i386-2.4/Ft/Server/Server/Commands/Start.py'>, <module 'Ft.Server.Server.Commands.Stop' from 'b...EASE-i386-2.4/Ft/Server/Server/Commands/Stop.py'>, <module 'Ft.Server.Server.Commands.Restart' from...E-i386-2.4/Ft/Server/Server/Commands/Restart.py'>, <module 'Ft.Server.Server.Commands.Status' from ...SE-i386-2.4/Ft/Server/Server/Commands/Status.py'>, <module 'Ft.Server.Server.Commands.Log' from 'bu...6-2.4/Ft/Server/Server/Commands/Log/__init__.py'>]
g_options = [[--username=<USER>], [--password=<PASSWORD>], [--core-id=<CORE>], [--config-file=<FILEPATH>]]